      SUBROUTINE consec( stsec, yy, mm, dd, hh, min, ss )
c  Converts the month, day, hour, minutes and seconds to the number of
c  seconds from the beginning of the year.
c
c  August 18, 1992 (Angela Tchen)
c  Separated from parent program file lims_cascade.f
c
      integer stsec, yy, mm, dd, hh, min, ss
      integer month(12), days, j

      data month /31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31/
      month(2) = 28
      if (MOD(yy,4) .eq. 0) month(2) = 29
      days = 0
      if ( mm .gt. 1 ) then
        do 10 j =1, mm-1
          days = days + month (j)
   10   continue
      end if

      stsec = ( days + (dd - 1))*86400 + hh*3600 + min*60 + ss
      return
      end


