      SUBROUTINE datcon( yy, mm, dd )
c  Converts the day of the first entry of the data block
c     to months and days.  The input data is read from the
c     header produced by the REDUCE program.
c
c  August 18, 1992 (Angela Tchen)
c  Separated from parent program file lims_cascade.


      integer yy, mm, dd, j, month(12)

      data month /31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31/

      dd = dd + 1

      if ( dd .gt. 365 ) then
        write(*,'(a,i4,a)')'DATCON: Input number of days',
     &                    dd, ' is greater than 365!'
        write(*,*)'Resetting yy, dd from: ', yy,dd
        yy = yy+1
        if (MOD(yy,4) .eq. 0) then
          dd = dd - 366
        else
          dd = dd - 365
        endif
        write(*,*)'                   to: ', yy,dd
      endif

      month(2) = 28
      if (MOD(yy,4) .eq. 0) month(2) = 29

      mm = 1
      if (dd .le. month(1) ) go to 20

      do 10 j =1, 11
       dd = dd - month(j)
       mm = j + 1
       if( dd .le. month(j+1) ) go to 20
   10 continue
   20 continue


      return
      end
