      SUBROUTINE FILTER( X, E, D, N,  worksp )
C 
C     DOUBLE THE LENGTH OF THE DATA SECTION.
C     FILTER IN A FORWARD THEN IN A BACKWARD DIRECTION.
C 
      REAL X(*), E(3), D(2), worksp(*)
      integer i, n, n2

      include 'ctrlblk.inc'

      if( iprint.ge.2 ) then
        write(*,*)'filter: entered' 
      endif

C 
C     ADD ZEROS BEFORE AND AFTER THE DATA SECTION AS REQUIRED.
C 
      DO 20 I = 1,N
        X(N+3-I) = X(N+1-I)
   20 CONTINUE
      DO 10 I = 1,2
        X(I) = 0.0
   10 CONTINUE
      DO 30 I = 1,N
        X(N+2+I) = 0.0
   30 CONTINUE
      N2 = 2+N*2
C 
C     APPLY FILTER ONCE IN FORWARD DIRECTION.
C 
      CALL ONCE(X, E, D, N2, WORKSP)
C 
C     REVERSE ORDER OF DATA.
C 
      N2 = N*2
      DO 50 I = 1,N2
        X(I) = WORKSP(N2-I+3)
   50 CONTINUE
C 
C     FILTER REVERSED DATA.
C 
      CALL ONCE(X, E, D, N2, WORKSP)
C 
C     REVERSE DATA.
C 
      DO 70 I = 1,N
        X(I) = WORKSP(N2-I+1)
   70 CONTINUE

      if( iprint.ge.2 ) then
        write(*,*)'filter: returning'
      endif

      RETURN
      END
