      subroutine getwindow( indat, window, instr, nchan, stime, etime )
c
      integer instr, nchan, indat
      character*19 stime, etime
      character*8 window, rwindow
      character*80 line

      include 'ctrlblk.inc'

c     routine to read the windows file and get the intrument
c     number and start and end times for that window
c
c     check made for downward compatibility with 3.1 windows file

      rwindow = ' '

      if( iprint.ge.1 ) then
        write(*,*)'getwindow: entered with window =>', window
      end if

      rewind( indat )
      do while( window.ne.rwindow )
10      read( indat,'(a)',end=9999) line
        if( line(1:1).eq.'#' .or. line(1:1).eq.' ' ) goto 10
        rwindow = line(1:8)
        if( window.eq.rwindow ) then
          if( line(26:26).eq.'-' ) then
            read(line, '(a8,1x,i3,1x,i1,1x,a10,1x,a10)', end=9999)
     &                 rwindow, instr, nchan, stime(1:10), etime(1:10)
            stime(11:12) = '00'
            etime(11:12) = '00'
            call convtimev5( stime )
            call convtimev5( etime )
            write(*,'(a)')'getwindow: window in windows file is '//
     &                    'version 3.x'
          else
            read(line, '(a8,1x,i3,1x,i1,1x,a19,1x,a19)', end=9999)
     &                 rwindow, instr, nchan, stime, etime
          endif
          goto 20
        endif
      end do
      goto 9999

20    if( iprint.ge.1 ) then
        write(*,*)'getwindow: window found =>'
        write(*,2001) window, instr, nchan, stime, etime
      end if

      return

 9999 write(*,'(a)')'getwindow: ERROR: cannot find window in file'
      instr = -999
      return


 2001 format(1x,'window=',a8,'  instrument=',i3,'  channels=',i1,
     &        '   Times=',a19,'-',a19)

      end
