      subroutine rotdat( x, y, angx, angy )
      real x, y, angx, angy, x1, y1, angdiff

c     rotates vector (x,y) by Cartesian rotation matrix
c
c             |   cos    sin   |
c             |                |
c             |  -sin    cos   |

c...first rotate y into orthogonal direction to x
      if( angx.ne.angy ) then
        angdiff = angy - angx
        y = (  y +  x * sind(angdiff) ) / cosd(angdiff)
      endif

c...rotate (x,y) by angle "angx"
      x1 =  x * cosd(angx)  +  y * sind(angx)
      y1 = -x * sind(angx)  +  y * cosd(angx)

      x = x1
      y = y1

      return
      end
