      subroutine wgtmt( ctype, ntype, n, s7, wgt )
      complex      s7(7,7)
      character*3 ctype
      integer     ntype, n, i, j
      real        wgt, coh1, fmcoh, fpcoh, ocoh, s11, s22, s33, s44
      real        sd31, sd32, sd41, sd42, coh2, focoh


      include 'ctrlblk.inc'

      if( iprint.ge.3 ) then
        write(*,*)'wgtmt: entered with ctype=',ctype,'  ntype=',ntype
        write(*,*)' s7 ==>'
        do i = 1, 7
          do j = i, 7
            write(*,*) i, j, s7(i,j)
          end do
        end do
      end if

      IF( CTYPE.EQ.'COH' ) THEN
        IF( NTYPE.LE.3 ) THEN
          COH1 = FMCOH( 7, s7, 3, 1, 2)
          COH2 = FMCOH( 7, s7, 4, 1, 2)
          IF( NTYPE.EQ.1 ) THEN
            wgt = SQRT( COH1 * COH2 )
          ELSE IF( NTYPE.EQ.2 ) THEN
            wgt = COH1
          ELSE IF( NTYPE.EQ.3 ) THEN
            wgt = COH2
          END IF
        ELSE IF( NTYPE.GE.4 .and. NTYPE.LE.6 ) THEN
          COH1 = FPCOH( 7, s7, 3, 2, 1 )
          COH2 = FPCOH( 7, s7, 4, 1, 2 )
          IF( NTYPE.EQ.4 ) THEN
            wgt = SQRT( COH1 * COH2 )
          ELSE IF( NTYPE.EQ.5 ) THEN
            wgt = COH1
          ELSE IF( NTYPE.EQ.6 ) THEN
            wgt = COH2
          END IF
        else if( ntype.eq.7 ) then
          coh1 = fmcoh( 7, s7, 6, 1, 2 )
          coh2 = fmcoh( 7, s7, 7, 1, 2 )
          wgt = sqrt(coh1*coh2)
         else
           write(*,*)'Impermissable ntype>7, ntype = ', ntype
        END IF
 
      ELSE IF( CTYPE.EQ.'VAR' ) THEN
        COH1 = FMCOH( 7, s7, 3, 1, 2)
        COH2 = FMCOH( 7, s7, 4, 1, 2)
        OCOH = FOCOH( 7, s7, 1, 2 )
        S11 = REAL(s7(1,1))
        S22 = REAL(s7(2,2))
        S33 = REAL(s7(3,3))
        S44 = REAL(s7(4,4))
        CALL RCCF2( 2*N, COH1, OCOH, S33, S11, SD31 )
        CALL RCCF2( 2*N, COH1, OCOH, S33, S22, SD32 )
        CALL RCCF2( 2*N, COH2, OCOH, S44, S11, SD41 )
        CALL RCCF2( 2*N, COH2, OCOH, S44, S22, SD42 )
        IF( SD31.LE.0..OR.SD32.LE.0..OR.SD41.LE.0..OR.SD42.LE.0. ) THEN
          WRITE(*,*)' WGTMT: error computing sd, N = ',N
          WRITE(*,*)'   COH1,COH2,OCOH =',COH1,COH2,OCOH
          WRITE(*,*)'   S11 -> S44     =',S11,S22,S33,S44
          WRITE(*,*)'   SD31 -> SD42   =',SD31,SD32,SD41,SD42
          RETURN
        END IF
        IF( NTYPE .EQ. 1 ) THEN
          wgt = 1./ ( ( SD31*SD32*SD41*SD42) ** (0.25) )
        ELSE IF( NTYPE .EQ. 2 ) THEN
          wgt = 1./SQRT( SD31*SD32 )
        ELSE IF( NTYPE .EQ. 3 ) THEN
          wgt = 1./SQRT( SD41*SD42 )
        ELSE IF( NTYPE .EQ. 4 ) THEN
          wgt = 1./SQRT( SD32*SD41 )
        END IF
 
      END IF

      if( iprint.ge.3 ) then
        write(*,*)'wgtmt: leaving with wgt = ', wgt
      end if

      return
      end
