      integer MAXCHAN
      parameter ( MAXCHAN = 16 ) 

      character cfile*7, comp(16)*2, indat*40, window*30
      character oudat*40
      character prjcod*3, runnum*7, sitdes*20, latdir*1, lngdir*1
      character azdir*17, smpin1*4, smpin2*4
      character*12 starttime, endtime
 
      integer in, ind, prterr, nchan, gain(16), iprint
      integer lbox, mapcmp(16), naux, imark
      integer byy, bmm, bdd, bhh, bmin, bss, i
      integer inc, itgain, lenex, leney, f10
      integer baseln(3), oud, stsec, etime
      integer startbitstick(5), stick(5), nstick
      logical BITSTICK(5)
c
      integer*2 dt(MAXCHAN), aux(6), intgr(29), filtp1, filtp2
      integer*2 dtlast(5)
c
      real    delta, magfac, smprt1, smprt2
c
      logical AUXPRT
c
      common /contst/ inc, delta, prterr, nchan
      common /blkst/  byy, bmm, bdd, bhh, bmin, bss, f10
      common /calbtn/ itgain, lenex, leney, magfac, gain, lbox, comp,
     >                mapcmp, cfile
      common /header/ prjcod,runnum,sitdes,latdir,lngdir,azdir,
     >                smpin1,smpin2
      common /headr2/ smprt1, smprt2, baseln, intgr, filtp1, filtp2


      iprint = 1
      prterr = 1
      ind = 1
      oud = 2
      do i = 1, 5
        BITSTICK(i) = .FALSE.
      enddo


c...nstick specifies the minimum number of the sequence
      nstick = 5
      call iin('Specify minimum length of sequence', nstick )


      window = ' '
      call getmp(ind,window,indat,.true.,imark)
      oudat = indat(1:index(indat,'.'))//'asc'
      open(unit=oud,file=oudat,status='unknown')
c
      iprint = 0
      call consec(stsec,byy,bmm,bdd,bhh,bmin,bss)
c
c Loop over data reading it all 
c
      if( iprint.ge.2 ) write(*,*)'Reading data...'
      in = 1
      naux = 1
10    if( in.eq.1 .or. in.eq.imark ) then
        AUXPRT = .TRUE.
      else
        AUXPRT = .FALSE.
      endif
      call readdt(ind,in,naux,delta,nchan,dt,aux,imark,*7000,*9000)
      if(in.gt.1)then
        do i = 1, 5
          if( dt(i).eq.dtlast(i) ) then
            if( .NOT.BITSTICK(i) ) then
              BITSTICK(i) = .TRUE.
              stick(i) = 1
              startbitstick(i) = stsec + (in-1)/delta
            else
              stick(i) = stick(i) + 1
            endif
          else if( BITSTICK(i) .and.stick(i).gt.nstick ) then
            BITSTICK(i) = .FALSE.
            etime = stsec + (in-1)/delta
            call seccon(startbitstick(i),byy,bmm,bdd,bhh,bmin,bss)
            write(starttime,'(6i2.2)') byy,bmm,bdd,bhh,bmin,bss
            call seccon(etime,byy,bmm,bdd,bhh,bmin,bss)
            write(endtime,'(6i2.2)') byy,bmm,bdd,bhh,bmin,bss
            write(*,*)starttime,'-',endtime,'  points =', stick(i),
     &                '  chan =', i,'  value=', dtlast(i)
          else
            BITSTICK(i) = .FALSE.
          endif
          dtlast(i) = dt(i)
        enddo
      else
        do i = 1, 5
          dtlast(i) = dt(i)
        enddo
      endif
      goto 10
9000  stop 
7000  write(6,*) 'Error reading data file - stopping conversion here'
      goto 9000
      end
