      subroutine ts_copycomm( ind, inform, outd, outform )

      implicit none

      integer ind, outd
      character*15 inform, outform

c...reads info block from input file (must be open already)

      character line*80

      integer*4 lnblnk

      include 'infoblk.inc'
      include 'ctrlblk.inc'


      if( iprint.ge.2 ) then
        write(*,*) 'ts_copycomm: entered'
        write(*,*) 'ind     = ', ind
        write(*,*) 'inform  = ', inform
        write(*,*) 'outd    = ', outd
        write(*,*) 'outform = ', outform
      endif

c...inform and outform specify whether the file is BINARY or ASCII


      if( inform.ne.'BINARY' .and. inform.ne.'ASCII' ) then
        write(*,*) 'ts_copycomm: inform not BINARY or ASCII ',
     &             'inform =', inform
        stop
      endif
      if( outform.ne.'BINARY' .and. outform.ne.'ASCII' ) then
        write(*,*) 'ts_copycomm: outform not BINARY or ASCII ',
     &             'outform =', outform
        stop
      endif


c...move to beginning of file
      rewind( ind )
      if( inform.eq.'BINARY' ) then
        read(ind,end=9999) line
      else
        read(ind,'(a)',end=9999) line
      endif
      if( iprint.ge.40 ) write(*,*)'line>',line(1:lnblnk(line))

      do while(line(1:1).eq.'#'  )
        if( inform.eq.'BINARY' ) then
          if( outform.eq.'BINARY' ) then
            write( outd ) line
          else
            write( outd,'(a)' ) line(1:lnblnk(line))
          endif
          read(ind,end=9999) line
        else
          if( outform.eq.'BINARY' ) then
            write( outd ) line
          else
            write( outd,'(a)' ) line(1:lnblnk(line))
          endif
          read(ind,'(a)',end=9999) line
        endif
        if( iprint.ge.40 ) write(*,*)'line>',line(1:lnblnk(line))
      enddo

      if( iprint.ge.2 ) then
        write(*,*)'ts_copycomm: exiting'
      endif
      return

9001  write(*,*) 'ts_copycomm: EOF reading in comment block - aborting'
      stop

9999  write(*,*) 'ts_copycomm: no comment block found in file'
      return
      end
