      subroutine ts_in1( ind, data )

      implicit none

      include 'infoblk.inc'
      include 'defaults.inc'
      include 'ctrlblk.inc'
      include 'op_sys.inc'

c...data declared as real*4 in case of double precision compilation
      real*4 data(*)
      integer ind, i


      if( iprint.ge.5 ) then
        write(*,*)'ts_in1 entered:'
        write(*,*)'ind  = ', ind
        write(*,*)'form = ', form
      endif

      if( form.eq.'BINARY' ) then
        read(ind,end=9000) (data(i), i = 1, nchan)
      elseif( form.eq.'ASCII' ) then
        if( format.eq.'FREE' ) then
          read(ind,*,end=9000) (data(i), i = 1, nchan)
        else
          read(ind,format,end=9000) (data(i), i = 1, nchan)
        endif
      else
        write(*,*)'ts_in1: Unrecognized form = ', form
        stop
      endif

      if( iprint.ge.30 ) then
        write(*,*)'ts_in1: ',(data(i), i = 1, nchan)
      endif

c...apply gains
      do i = 1, nchan
        data(i) = gain(i) * data(i)
      enddo

      return

9000  write(*,'(a)')'ts_in1: EOF reached'
      data(1) = EOF
      return

      end
