      subroutine ts_inrec( ind, data )

c...reads in a record of data assumed to be of length
c   seq_rec*ndata

      implicit none

      include 'infoblk.inc'
      include 'defaults.inc'
      include 'ctrlblk.inc'

c...data declared as real*4 in case of double precision compilation
      real*4 data(*)
      integer ind, i, j, ij

      if( form.eq.'BINARY' ) then
        read(ind,end=9000) ((data(i),i=1,nchan), j=1,seq_rec)
      elseif( form.eq.'ASCII' ) then
        if( format.eq.'FREE' ) then
          read(ind,*,end=9000) ((data(i),i=1,nchan), j=1,seq_rec)
        else
          read(ind,format,end=9000) ((data(i),i=1,nchan), j=1,seq_rec)
        endif
      else
        write(*,*)'ts_inrec: form not BINARY or ASCII,  form =', form
        stop
      endif

      if( iprint.ge.30 ) then
        write(*,*)'ts_in1: ',(data(i), i = 1, nchan)
      endif

c...apply gains
      do j = 1, seq_rec
        do i = 1, nchan
          ij = (j-1)*nchan + i
          data(ij) = gain(i) * data(ij)
        enddo
      enddo

      return

9000  write(*,'(a)')'ts_inrec: EOF reached'
      data(1) = EOF
      return

      end
