      subroutine ts_open(ind,tswindow,indat,PROMPT,LOCAL )
      implicit none



      include 'ctrlblk.inc'

      include 'infoblk.inc'

      include 'op_sys.inc'


      integer   ind, num, narg
      integer   getnarg

	integer lnblnk
      character tswindow*(*), indat*(*), sep*1, ans*1
      logical   PROMPT, PM, LOCAL


      call dirsep(sep)
      PM = PROMPT

c...write out input parameters
      if( iprint.ge.2 ) then
        write(*,*) 'ts_open entered:'
        write(*,*) 'ind      =', ind
        write(*,*) 'tswindow =', tswindow
        write(*,*) 'indat    =', indat
        write(*,*) 'PROMPT   =', PROMPT
        write(*,*) 'LOCAL    =', LOCAL
        write(*,*) 'form     =', form
      endif

c...get command line argument if window is a null string

      if(tswindow.eq.' ') then
        narg = getnarg()
        if(narg.eq.0)then
          tswindow = 'alt027a1'
          PM = .TRUE.
         else
          call getcmdarg(1,tswindow)
          PM = .FALSE.
        endif
      endif

2000  if( PM ) call tin('Give data file ', tswindow )
      if(index(tswindow,'.').eq.0) then
        if( LOCAL ) then
          indat = tswindow(1:lnblnk(tswindow))//'.ts'
        else
          indat = tswindow(1:6)//sep//tswindow(1:8)//'.ts'
        endif
      else
        if( LOCAL ) then
          indat = tswindow
        else
          indat = tswindow(1:6)//sep//tswindow
        endif
      endif
      call trunc(indat,num)

      if( form.eq.'?' ) then
        ans = 'b'
        call tin( 'Are data in BINARY (b) or ASCII (a)', ans )
        if( ans.eq.'b' .or. ans.eq.'B' ) then
          form = 'BINARY'
        else if( ans.eq.'a' .or. ans.eq.'A' ) then
          form = 'ASCII'
        endif
      endif

      if( form.eq.'ASCII' ) then
        open(unit=ind,file=indat,err=1000,form='formatted')
        if( iprint.ge.1 ) then
          write(*,*)'File opened in ASCII mode=>', indat(1:num)
        endif
      elseif( form.eq.'BINARY' ) then
        format = 'UNFORMATTED'
#ifdef SUN
          open(unit=ind,file=indat,err=1000,form='unformatted')
          if( iprint.ge.1 ) then
            write(*,*)'File opened in BINARY mode=>', indat(1:num)
          endif

#elif DOS
          open(unit=ind,file=indat,err=1000,form='unformatted',

     &         convert='BIG_ENDIAN')
          if( iprint.ge.1 ) then

            write(*,*)'File opened in UNFORMATTED/BIG_ENDIAN mode=>', 

     &                indat(1:num)
          endif

#endif
      else
        write(*,*)'ERROR: Unknown form specifier in ts_open'
        write(*,*)'form =', form
        stop 'Program terminated'
      endif

      return

1000  write(*,*)'Error in opening ', indat, '  Try again!'
      PM = .TRUE.
      goto 2000

      end 
