#!/bin/csh

onintr done

set old=$cwd

set scripts_dir = `cat .lims.scripts_dir`
set execs_dir   = `cat .lims.execs_dir`

start:

set stn      = `cat .lims.stn`
set dbase    = `cat .lims.dbase`
set stn_dir  = `cat .lims.stn_dir`
set lims_dir = `cat .lims.lims_dir`

set append = T
set ok = y
echo -n "Append results to windows.$dbase (y/n)? [def: y] >"
set ok = $<
if ( $ok == n ) set append = F
cd $lims_dir/$dbase
echo 'Working...'
foreach tsfile ( $stn/*.ts) 
   set tsfile = `basename $tsfile .ts`
   $execs_dir/windowtime -1 <<EOD >& .stdout 
-1
T
$tsfile
$append
EOD
   grep $dbase .stdout | grep -v bits | grep -v File
end
rm .stdout >> /dev/null

done:
cd $old

