      program tshead
      
      implicit none

      include 'infoblk.inc'
      include 'ctrlblk.inc'
      include 'op_sys.inc'
      include 'bdate.inc'
      include 'version.inc'

      character*1 sep
      character*10 cmdarg
      integer narg, getnarg
      
      integer i, ind, outd, lnblnk
      character tswindow*8, fin*40, line*80


c-------------------------------------------------------------------------------
c     Initialize variables and arrays.

      call dirsep(sep)
      ind  = 4
      outd = 7

c-------------------------------------------------------------------------------
c     get command-line arguments

      narg = getnarg()
      do i = 1, narg
        call getcmdarg( i, cmdarg)
        if( index(cmdarg,'h').ne.0 ) then
          write(*,*)'Permitted options:-'
          write(*,*)'                    -1 -> 3  iprint level'
          stop
        else
          read(cmdarg,'(i2)') iprint
        endif
      enddo

      call iin( 'Give print level (-1/0/1/2/3)',iprint)


c-------------------------------------------------------------------------------

      if( iprint.ge.1 ) then
        write(*,*)' '
        write(*,*)' >>>>>>>>>>>>> TSEXTRACT <<<<<<<<<<<<<<<<<'
        write(*,*)' '
        write(*,*)'           version = ', ver
        write(*,*)'build date = ', bdate
        write(*,*)' '
        write(*,*)'It is assumed that this program is being run from'
        write(*,*)'the database directory of the project '
        write(*,*)'(e.g. /local/mt/lims/nod)  '
        write(*,*)'and that all data files reside in subdirectories'
        write(*,*)'with the respective station names '
        write(*,*)'(e.g. /local/mt/lims/nod/nod001 nod002 etc.)'
        write(*,*)' '
        write(*,*)'windows and hardware database files are required'
        write(*,*)'(e.g. windows.nod & hardware.nod) '
        write(*,*)' '
      endif

c-------------------------------------------------------------------------------

      form = '?'
      tswindow='tbt101ss'
      call ts_open(ind,tswindow,fin, .TRUE., .FALSE.)
      
      open(unit=outd,file='tshead.out')
      write(*,*)'Writing header into tshead.out'

      if( form.eq.'ASCII' ) then
        read(ind,'(a)') line
      else
        read(ind) line
      endif
      do while( line(1:1).eq.'#' .or. line(1:1).eq.'>' )
        if( line(1:1).eq.'#' ) then
          if( line(2:2).eq.'F' ) then
            write(*,'(a)')'Filter  block:'//line(1:lnblnk(line))
            write(7,'(a)')'Filter  block:'//line(1:lnblnk(line))
          else
            write(*,'(a)')'Comment block:'//line(1:lnblnk(line))
            write(7,'(a)')'Comment block:'//line(1:lnblnk(line))
          endif
        else
          write(*,'(a)')'Info    block:'//line(1:lnblnk(line))
          write(7,'(a)')'Info    block:'//line(1:lnblnk(line))
        endif

        if( form.eq.'ASCII' ) then
          read(ind,'(a)',err=2) line
        else
          read(ind,err=2) line
        endif

      enddo

2     stop 
      end
