      program tshead_edit_time_correct
      
      implicit none
      
      include 'infoblk.inc'

      character*24 date_string

      real data(5)

      integer ind, outd, lnblnk, tcorr
      character tswindow*8, fin*40, line*80, ans*1
      character*12 stime, nstime, etime, netime, nowtim


c-------------------------------------------------------------------------------
c     get date

      call fdate(date_string)

c-------------------------------------------------------------------------------

      ind  = 4
      outd = 7

      form = '?'
      tswindow='tbt101ss'
      call ts_open(ind,tswindow,fin,.TRUE.,.FALSE.)
      line = tswindow(1:6)//'/'//tswindow//'.ts_edit'


      if( format.eq.'FORMATTED' ) then
        open(unit=outd,file=line,form='formatted')
        write(*,*)'Output file opened in FORMATTED mode=>', 
     &              line(1:lnblnk(line))
      else if( format.eq.'UNFORMATTED' ) then
        open(unit=outd,file=line,form='unformatted')
        write(*,*)'Output file opened in UNFORMATTED mode=>', 
     &              line(1:lnblnk(line))
      endif

      tcorr = 0
      call iin( 'Timing correction to apply (in s)', tcorr )

      line = '# tshead_edit_time_correct'
      write(outd) line
      line = '# date: '//date_string
      write(outd) line
      line = '#'
      write(outd) line
      line = '# Timing correction applied (s): '
      write(line(35:),'(i15)') tcorr
      write(outd) line
      line = '#'
      write(outd) line


c...copy comment block
      read(ind) line
      do while( line(1:1).eq.'#' )
        write(outd) line
        read(ind) line
      enddo

      do while( line(1:1).eq.'>' )
        if( index(line,'STARTTIME').ne.0 ) then
          read(line(13:),'(a)') stime
          nstime = nowtim( stime, 0, 0, 0, tcorr )
          write(line(13:),'(a)') nstime
        endif
        if( index(line,'ENDTIME').ne.0 ) then
          read(line(13:),'(a)') etime
          netime = nowtim( etime, 0, 0, 0, tcorr )
          write(line(13:),'(a)') netime
        endif
        write(outd) line
        read(ind,err=1) line
      enddo

1     backspace ind
      do while(.TRUE.)
        read(ind,end=2) data
        write(outd) data
      enddo

2     stop 'EOF reached'
      end
